Pular para o conteúdo principal
POST
Start a conversation with a template

Autorizações

Authorization
string
header
obrigatório

Personal access token (izap_pat_…) sent as Authorization: Bearer ; dashboard session JWTs are also accepted.

Cabeçalhos

business-id
string<uuid>
obrigatório

Corpo

application/json

Add a contact and open the conversation with an approved template.

phone is any international number in E.164 form (leading +). The business line to send from may be omitted only when the business has a single line.

phone
string
obrigatório

International phone number, E.164 with leading '+'

template_id
string<uuid>
obrigatório
email
string | null
Maximum string length: 50
name
string | null
Maximum string length: 50
variables
Variables · object

Body/button variable values, keyed '1','2',…

whatsapp_number_id
string<uuid> | null

Resposta

Successful Response

Response for POST /chats/template-conversations.

chat_id
string<uuid>
obrigatório
consumer_id
string<uuid>
obrigatório
user_message
ChatMessageSummaryOut · object
obrigatório

A chat message as embedded in the send-message responses below.